tnfh.net
当前位置:首页 >> linux已经安装opEnssl,如何重新编译php支持opEnss... >>

linux已经安装opEnssl,如何重新编译php支持opEnss...

重新编译加上参数 --with-openssl ,就OK,如果本地没有openssl支持,在config的checker阶段会过不去的 =================== 相关过程如下 # 下载到/var/www/php5目录下 cd /var/www/php5 wget http://mirrors.sohu.com/php/php-5.2.14.tar.gz #...

今天使用QQ登录时, 遇到了不能跳转的问题。发现是php不支持openssl. 又不想重新编译php, 网上多方寻找。终于找到解决方案。 记录如下: #下面是php的安装目录 /usr/local/php5/bin/ #切换到php安装目录的 etx/openssl目录 cd /php-5.3.8p/ext/o...

解决这个错误很简单,只要将openssl-dev 包装上即可。 yum -y install openssl-devel 然后再编译就好了

1)确认PHP的版本,版本号要带-nts(我选的是php-5.4.45-nts) 2)找到php.ini文件 配置 ;extension=php_openssl.dll 将前面的;去掉 ,没有的话将这条加入,不带分号 3)到这边已经配置好了,重启PHP环境

新手在不会编译的情况下可以yum 1、安装PHP5yum install php根据提示输入Y直到安装完成2、安装PHP组件,使 PHP5 支持 MySQLyum install php-mysql php-gd libjpeg* php-imap php-ldap php-odbc php-pear php-xml php-xmlrpc php-mbstring php-mc...

/usr/local/php/bin/php -m

你的配置其实是无效的, 因为你没编译openssl模块 如果是centsos系统, 请先安装openssl类库 $ yum install openssl-devel -y 编译php时, 加上 --with-openssl,好了希望能帮到你,我还要在后盾人自己学习呢😊加油

进入php源程序目录中的ext目录中,这里存放着各个扩展模块的源代码,选择你需要的模块,比如curl模块:cd curl 执行phpize生成编译文件,phpize在PHP安装目录的bin目录下 /usr/local/php5/bin/phpize 运行时,可能会报错:Cannot find autoconf....

用$PATH来代表已配置的PATH,在其后追加新的值就好

你的配置其实是无效的, 因为你没编译openssl模块 如果是centsos系统, 请先安装openssl类库 $ yum install openssl-devel -y 编译php时, 加上 --with-openssl

网站首页 | 网站地图
All rights reserved Powered by www.tnfh.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com